enabled: true
built_in_css: true
inline_css: true
refresh_prevention: false
client_side_validation: true
debug: false
inline_errors: false
files:
  multiple: false          # To allow multiple files, default is single
  limit: 10                # Number of allowed files per field (multiple required)
  destination: 'self@'     # Where to upload the files (path and self@, page@, theme@)
  avoid_overwriting: false # Prevent files with the same name to be overridden. Date prefix will be added
  random_name: false       # Generate a random 15 long string name for the uploaded files
  filesize: 0              # Maximum file size allowed (in MB)
  accept:                  # List of mime/types or file extensions allowed (ie, image/*,.zip,.mp4)
    - image/*
recaptcha:
    version: 2-checkbox
    theme: light
    site_key:
    secret_key:
turnstile:
  theme: light                # options: [light | dark]
  site_key:
  secret_key:

basic_captcha:
  type: characters            # options: [characters | math]
  chars:
    length: 6                 # number of chars to output
    font: zxx-noise.ttf       # options: [zxx-noise.ttf | zxx-camo.ttf | zxx-xed.ttf | zxx-sans.ttf]
    bg: '#cccccc'             # 6-char hex color
    text: '#333333'           # 6-char hex color
    size: 24                  # font size in px
    start_x: 5                # start position in x direction in px
    start_y: 30               # start position in y direction in px
    box_width: 135            # box width in px
    box_height: 40            # box height in px
  math:
    min: 1                    # smallest digit
    max: 12                   # largest digit
    operators: ['+','-','*']  # operators that can be used in math
